commit: cc201a844ddaec078b07af4c4d1fd729873ed714
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 4 13:10:36 2016 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Jan 4 13:10:36 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc201a84
net-misc/ocsync: fix compilation with gcc 5
Bug #569072 by Toralf Förster <toralf.foerster <AT> gmx.de>
Package-Manager: portage-2.2.26
net-misc/ocsync/ocsync-0.90.4.ebuild | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/net-misc/ocsync/ocsync-0.90.4.ebuild
b/net-misc/ocsync/ocsync-0.90.4.ebuild
index 83e7bf1..a2383be 100644
--- a/net-misc/ocsync/ocsync-0.90.4.ebuild
+++ b/net-misc/ocsync/ocsync-0.90.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -36,6 +36,9 @@ DEPEND="${DEPEND}
src_prepare() {
cmake-utils_src_prepare
+ sed -e "s/__FUNCTION__/__func__/" -i \
+ src/csync_log.h src/httpbf/src/httpbf.c \
+ tests/csync_tests/check_csync_log.c || die
# proper docdir
sed -e "s:/doc/ocsync:/doc/${PF}:" \
-i doc/CMakeLists.txt || die